PKG-UPGRADE(1)

NAME
pkg upgrade - performs upgrades of package software distributions

SYNOPSIS
pkg upgrade [-y]

DESCRIPTION
pkg upgrade is used for upgrading of package software distributions.

Currently only one remote package repository database can be used during package upgrades as defined by the environment variable PACKAGESITE.

Soon enough pkg upgrade will be able to perform package upgrades from multiple repositories.

OPTIONS
The following options are supported by pkg upgrade:

-y  Assume yes when asked for confirmation before package installation.

ENVIRONMENT
The following environment variables affect the execution of pkg upgrade. See pkg.conf(5) for further description.

ASSUME_ALWAYS_YES

HANDLE_RC_SCRIPTS

PACKAGESITE

PKG_CACHEDIR

PKG_DBDIR

PKG_MULTIREPOS

FILES
See pkg.conf(5).

SEE ALSO
pkg(1), pkg-add(1), pkg-autoremove(1), pkg-search(1), pkg-backup(1), pkg-install(1), pkg-delete(1), pkg-info(1), pkg-register(1), pkg-repo(1), pkg-update(1), pkg-create(1), pkg-version(1), pkg-which(1), pkg.conf(5)